import { Controller, Get } from '@nestjs/common';
import { FisVerificationService } from './fis-verification.service';
import { EventPattern, MessagePattern } from '@nestjs/microservices';

@Controller()
export class FisVerificationController {
  constructor(private readonly fisVerificationService: FisVerificationService) { }

  /* Testing for TCP connection */
  @MessagePattern({ cmd: 'messageTest' })
  messageTest(message: string): string {
    return `Hello there. Just Responding to Message pattern`
  }

  @EventPattern(`eventTest`)
  eventTest(message: string): void {
    console.log(`Hello there. Just Responding to Event pattern.`)
  }

}

