import { ConnectedSocket, MessageBody, SubscribeMessage, WebSocketGateway, WebSocketServer, WsResponse, } from '@nestjs/websockets';
import { from, Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { Server, Socket } from 'socket.io';

@WebSocketGateway({
    cors: {
        origin: '*',
    },
    namespace: `Sample-App`
})
export class SampleEventsGateway {
    @WebSocketServer()
    server: Server;

    constructor() {
        // logic here
    }

    @SubscribeMessage('message')
    handleMesage(@MessageBody() data: any, @ConnectedSocket() client: Socket): Observable<WsResponse<any>> {
        throw new Error(`Method not implemented`)
    }

    @SubscribeMessage('test')
    test(@MessageBody() data: string, @ConnectedSocket() client: Socket): void {
        console.log(`${data} from ${client.id}`)
    }
}