import { registerAs } from "@nestjs/config";
import 'dotenv/config'

export default () => ({
    sampleApp: {
        host: process.env.HOST,
        restPort: process.env.SAMPLEAPP_REST_PORT,
        tcpPort: process.env.SAMPLEAPP_TCP_PORT
    },
    fingerprint: {
        host: process.env.HOST,
        tcpPort: process.env.FINGERPRINT_TCP_PORT
    },
    verification: {
        host: process.env.HOST,
        tcpPort: process.env.VERIFICATION_TCP_PORT
    },
    afis: {
        host: process.env.HOST,
        tcpPort: process.env.AFIS_TCP_PORT
    }
});
