export interface Message {
    id: string;
    payload: any;
}

export interface ConnectionState {
    uuid?: string | number;
    status: 'BUFFER' | 'DIRECT_PUBLISH' | 'LIMIT_EXCEEDED' ,
    reason?: string;
    payload?: any;
}


export interface WrappedMessage {
    timeReceived: Date,
    payload: any
    thisMessageID: string,
    previousMessageID: string | null,
}